
public class Class213 {

   public static Class253 aClass253_2498;


   static void method3644(Class545 var0, byte[][][] var1, int var2, int var3, int var4, int var5, int var6, int var7, int var8, int var9, int var10, int var11) {
      if(var9 != 0 && 0 != var2) {
         if(9 == var9) {
            var9 = 1;
            var10 = 1 + var10 & 3;
         }

         if(var9 == 10) {
            var9 = 1;
            var10 = var10 + 3 & 3;
         }

         if(var9 == 11) {
            var9 = 8;
            var10 = 3 + var10 & 3;
         }

         var0.N(var3, var4, var7, var8, var5, var6, var1[var9 - 1][var10], var2, var11);
      }
   }

   static void method3645(Class545 var0, byte[][][] var1, int var2, int var3, int var4, int var5, int var6, int var7, int var8, int var9, int var10, int var11) {
      if(var9 != 0 && 0 != var2) {
         if(9 == var9) {
            var9 = 1;
            var10 = 1 + var10 & 3;
         }

         if(var9 == 10) {
            var9 = 1;
            var10 = var10 + 3 & 3;
         }

         if(var9 == 11) {
            var9 = 8;
            var10 = 3 + var10 & 3;
         }

         var0.N(var3, var4, var7, var8, var5, var6, var1[var9 - 1][var10], var2, var11);
      }
   }

   Class213() throws Throwable {
      throw new Error();
   }

   public static byte[][][] method3646(int var0) {
      byte[][][] var1 = new byte[8][4][];
      int var2 = var0;
      int var3 = var0;
      byte[] var4 = new byte[var0 * var0];
      int var5 = 0;

      int var6;
      int var7;
      for(var6 = 0; var6 < var3; ++var6) {
         for(var7 = 0; var7 < var2; ++var7) {
            if(var7 <= var6) {
               var4[var5] = -1;
            }

            ++var5;
         }
      }

      var1[0][0] = var4;
      var4 = new byte[var3 * var2];
      var5 = 0;

      for(var6 = var3 - 1; var6 >= 0; --var6) {
         for(var7 = 0; var7 < var3; ++var7) {
            if(var7 <= var6) {
               var4[var5] = -1;
            }

            ++var5;
         }
      }

      var1[0][1] = var4;
      var4 = new byte[var2 * var3];
      var5 = 0;

      for(var6 = 0; var6 < var3; ++var6) {
         for(var7 = 0; var7 < var2; ++var7) {
            if(var7 >= var6) {
               var4[var5] = -1;
            }

            ++var5;
         }
      }

      var1[0][2] = var4;
      var4 = new byte[var3 * var2];
      var5 = 0;

      for(var6 = var3 - 1; var6 >= 0; --var6) {
         for(var7 = 0; var7 < var2; ++var7) {
            if(var7 >= var6) {
               var4[var5] = -1;
            }

            ++var5;
         }
      }

      var1[0][3] = var4;
      var4 = new byte[var3 * var2];
      var5 = 0;

      for(var6 = var3 - 1; var6 >= 0; --var6) {
         for(var7 = 0; var7 < var2; ++var7) {
            if(var7 <= var6 >> 1) {
               var4[var5] = -1;
            }

            ++var5;
         }
      }

      var1[1][0] = var4;
      var4 = new byte[var3 * var2];
      var5 = 0;

      for(var6 = 0; var6 < var3; ++var6) {
         for(var7 = 0; var7 < var2; ++var7) {
            if(var5 >= 0 && var5 < var4.length) {
               if(var7 >= var6 << 1) {
                  var4[var5] = -1;
               }

               ++var5;
            } else {
               ++var5;
            }
         }
      }

      var1[1][1] = var4;
      var4 = new byte[var2 * var3];
      var5 = 0;

      for(var6 = 0; var6 < var3; ++var6) {
         for(var7 = var2 - 1; var7 >= 0; --var7) {
            if(var7 <= var6 >> 1) {
               var4[var5] = -1;
            }

            ++var5;
         }
      }

      var1[1][2] = var4;
      var4 = new byte[var3 * var2];
      var5 = 0;

      for(var6 = var3 - 1; var6 >= 0; --var6) {
         for(var7 = var2 - 1; var7 >= 0; --var7) {
            if(var7 >= var6 << 1) {
               var4[var5] = -1;
            }

            ++var5;
         }
      }

      var1[1][3] = var4;
      var4 = new byte[var2 * var3];
      var5 = 0;

      for(var6 = var3 - 1; var6 >= 0; --var6) {
         for(var7 = var2 - 1; var7 >= 0; --var7) {
            if(var7 <= var6 >> 1) {
               var4[var5] = -1;
            }

            ++var5;
         }
      }

      var1[2][0] = var4;
      var4 = new byte[var3 * var2];
      var5 = 0;

      for(var6 = var3 - 1; var6 >= 0; --var6) {
         for(var7 = 0; var7 < var2; ++var7) {
            if(var7 >= var6 << 1) {
               var4[var5] = -1;
            }

            ++var5;
         }
      }

      var1[2][1] = var4;
      var4 = new byte[var3 * var2];
      var5 = 0;

      for(var6 = 0; var6 < var3; ++var6) {
         for(var7 = 0; var7 < var2; ++var7) {
            if(var7 <= var6 >> 1) {
               var4[var5] = -1;
            }

            ++var5;
         }
      }

      var1[2][2] = var4;
      var4 = new byte[var2 * var3];
      var5 = 0;

      for(var6 = 0; var6 < var3; ++var6) {
         for(var7 = var2 - 1; var7 >= 0; --var7) {
            if(var7 >= var6 << 1) {
               var4[var5] = -1;
            }

            ++var5;
         }
      }

      var1[2][3] = var4;
      var4 = new byte[var2 * var3];
      var5 = 0;

      for(var6 = var3 - 1; var6 >= 0; --var6) {
         for(var7 = 0; var7 < var2; ++var7) {
            if(var7 >= var6 >> 1) {
               var4[var5] = -1;
            }

            ++var5;
         }
      }

      var1[3][0] = var4;
      var4 = new byte[var2 * var3];
      var5 = 0;

      for(var6 = 0; var6 < var3; ++var6) {
         for(var7 = 0; var7 < var2; ++var7) {
            if(var7 <= var6 << 1) {
               var4[var5] = -1;
            }

            ++var5;
         }
      }

      var1[3][1] = var4;
      var4 = new byte[var2 * var3];
      var5 = 0;

      for(var6 = 0; var6 < var3; ++var6) {
         for(var7 = var2 - 1; var7 >= 0; --var7) {
            if(var7 >= var6 >> 1) {
               var4[var5] = -1;
            }

            ++var5;
         }
      }

      var1[3][2] = var4;
      var4 = new byte[var2 * var3];
      var5 = 0;

      for(var6 = var3 - 1; var6 >= 0; --var6) {
         for(var7 = var2 - 1; var7 >= 0; --var7) {
            if(var7 <= var6 << 1) {
               var4[var5] = -1;
            }

            ++var5;
         }
      }

      var1[3][3] = var4;
      var4 = new byte[var3 * var2];
      var5 = 0;

      for(var6 = var3 - 1; var6 >= 0; --var6) {
         for(var7 = var2 - 1; var7 >= 0; --var7) {
            if(var7 >= var6 >> 1) {
               var4[var5] = -1;
            }

            ++var5;
         }
      }

      var1[4][0] = var4;
      var4 = new byte[var3 * var2];
      var5 = 0;

      for(var6 = var3 - 1; var6 >= 0; --var6) {
         for(var7 = 0; var7 < var2; ++var7) {
            if(var7 <= var6 << 1) {
               var4[var5] = -1;
            }

            ++var5;
         }
      }

      var1[4][1] = var4;
      var4 = new byte[var2 * var3];
      var5 = 0;

      for(var6 = 0; var6 < var3; ++var6) {
         for(var7 = 0; var7 < var2; ++var7) {
            if(var7 >= var6 >> 1) {
               var4[var5] = -1;
            }

            ++var5;
         }
      }

      var1[4][2] = var4;
      var4 = new byte[var2 * var3];
      var5 = 0;

      for(var6 = 0; var6 < var3; ++var6) {
         for(var7 = var2 - 1; var7 >= 0; --var7) {
            if(var7 <= var6 << 1) {
               var4[var5] = -1;
            }

            ++var5;
         }
      }

      var1[4][3] = var4;
      var4 = new byte[var3 * var2];
      var5 = 0;

      for(var6 = 0; var6 < var3; ++var6) {
         for(var7 = 0; var7 < var2; ++var7) {
            if(var7 <= var2 / 2) {
               var4[var5] = -1;
            }

            ++var5;
         }
      }

      var1[5][0] = var4;
      var4 = new byte[var2 * var3];
      var5 = 0;

      for(var6 = 0; var6 < var3; ++var6) {
         for(var7 = 0; var7 < var2; ++var7) {
            if(var6 <= var3 / 2) {
               var4[var5] = -1;
            }

            ++var5;
         }
      }

      var1[5][1] = var4;
      var4 = new byte[var3 * var2];
      var5 = 0;

      for(var6 = 0; var6 < var3; ++var6) {
         for(var7 = 0; var7 < var2; ++var7) {
            if(var7 >= var2 / 2) {
               var4[var5] = -1;
            }

            ++var5;
         }
      }

      var1[5][2] = var4;
      var4 = new byte[var3 * var2];
      var5 = 0;

      for(var6 = 0; var6 < var3; ++var6) {
         for(var7 = 0; var7 < var2; ++var7) {
            if(var6 >= var3 / 2) {
               var4[var5] = -1;
            }

            ++var5;
         }
      }

      var1[5][3] = var4;
      var4 = new byte[var3 * var2];
      var5 = 0;

      for(var6 = 0; var6 < var3; ++var6) {
         for(var7 = 0; var7 < var2; ++var7) {
            if(var7 <= var6 - var3 / 2) {
               var4[var5] = -1;
            }

            ++var5;
         }
      }

      var1[6][0] = var4;
      var4 = new byte[var2 * var3];
      var5 = 0;

      for(var6 = var3 - 1; var6 >= 0; --var6) {
         for(var7 = 0; var7 < var2; ++var7) {
            if(var7 <= var6 - var3 / 2) {
               var4[var5] = -1;
            }

            ++var5;
         }
      }

      var1[6][1] = var4;
      var4 = new byte[var2 * var3];
      var5 = 0;

      for(var6 = var3 - 1; var6 >= 0; --var6) {
         for(var7 = var2 - 1; var7 >= 0; --var7) {
            if(var7 <= var6 - var3 / 2) {
               var4[var5] = -1;
            }

            ++var5;
         }
      }

      var1[6][2] = var4;
      var4 = new byte[var2 * var3];
      var5 = 0;

      for(var6 = 0; var6 < var3; ++var6) {
         for(var7 = var2 - 1; var7 >= 0; --var7) {
            if(var7 <= var6 - var3 / 2) {
               var4[var5] = -1;
            }

            ++var5;
         }
      }

      var1[6][3] = var4;
      var4 = new byte[var3 * var2];
      var5 = 0;

      for(var6 = 0; var6 < var3; ++var6) {
         for(var7 = 0; var7 < var2; ++var7) {
            if(var7 >= var6 - var3 / 2) {
               var4[var5] = -1;
            }

            ++var5;
         }
      }

      var1[7][0] = var4;
      var4 = new byte[var2 * var3];
      var5 = 0;

      for(var6 = var3 - 1; var6 >= 0; --var6) {
         for(var7 = 0; var7 < var2; ++var7) {
            if(var7 >= var6 - var3 / 2) {
               var4[var5] = -1;
            }

            ++var5;
         }
      }

      var1[7][1] = var4;
      var4 = new byte[var2 * var3];
      var5 = 0;

      for(var6 = var3 - 1; var6 >= 0; --var6) {
         for(var7 = var2 - 1; var7 >= 0; --var7) {
            if(var7 >= var6 - var3 / 2) {
               var4[var5] = -1;
            }

            ++var5;
         }
      }

      var1[7][2] = var4;
      var4 = new byte[var2 * var3];
      var5 = 0;

      for(var6 = 0; var6 < var3; ++var6) {
         for(var7 = var2 - 1; var7 >= 0; --var7) {
            if(var7 >= var6 - var3 / 2) {
               var4[var5] = -1;
            }

            ++var5;
         }
      }

      var1[7][3] = var4;
      return var1;
   }

   static final void method3647(Class508 var0, int var1) {
      int var2 = var0.anIntArray6027[(var0.anInt6003 -= 98312473) * -937710807];
      Class124 var3 = Class97.method1903(var2, 1467355245);
      Class121 var4 = Class18.aClass121Array188[var2 >> 16];
      Class463_Sub24.method13006(var3, var4, var0, (byte)0);
   }

   static final void method3648(Class508 var0, int var1) {
      var0.anInt6005 -= -93697366;
      String var2 = (String)var0.anObjectArray6004[639741949 * var0.anInt6005];
      String var3 = (String)var0.anObjectArray6004[var0.anInt6005 * 639741949 + 1];
      if(client.anInt7803 * 1760366209 != 0 || (!client.aBool7805 || client.aBool7806) && !client.aBool7810) {
         PacketContext var4 = Class35_Sub1.method13169(883808512);
         Class225_Sub15 var5 = Class543.method11415(OutgoingOpcode.aClass302_3784, var4.aClass433_2184, (byte)1);
         var5.buffer.writeShort(0, -1779756821);
         int var6 = -543666943 * var5.buffer.position;
         var5.buffer.writeString(var2, (byte)60);
         Class85.method1685(var5.buffer, var3, -434137424);
         var5.buffer.method13716(var5.buffer.position * -543666943 - var6, (short)11278);
         var4.method3191(var5, (byte)6);
      }
   }

   static final void method3649(Class508 var0, int var1) {
      var0.anInt6003 -= 196624946;
      client.anInt7822 = var0.anIntArray6027[var0.anInt6003 * -937710807] * -279356711;
      client.anInt7664 = -1111724709 * var0.anIntArray6027[var0.anInt6003 * -937710807 + 1];
   }

   static final void method3650(Class508 var0, int var1) {
      int var2 = var0.anIntArray6027[(var0.anInt6003 -= 98312473) * -937710807];
      var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = Class500.aClass225_Sub6_5953.aClass463_Sub14_8467.method7808(var2, 1498890208);
   }
}
